# TdApi.MessageSendingStateFailed (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageSendingStateFailed

Package it.tdlight.jni

# Class TdApi.MessageSendingStateFailed

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageSendingState
it.tdlight.jni.TdApi.MessageSendingStateFailed

Enclosing class:
  TdApi

    public static class TdApi.MessageSendingStateFailed
    extends TdApi.MessageSendingState

The message failed to be sent.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`boolean` | `canRetry` | True, if the message can be re-sent.
`static int` | `CONSTRUCTOR` |
`int` | `errorCode` | An error code; 0 if unknown.
`String` | `errorMessage` | Error message.
`double` | `retryAfter` | Time left before the message can be re-sent, in seconds.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageSendingStateFailed()` | The message failed to be sent.
`MessageSendingStateFailed​(int errorCode, String errorMessage, boolean canRetry, double retryAfter)` | The message failed to be sent.
`MessageSendingStateFailed​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### errorCode

public int errorCode
An error code; 0 if unknown.

### errorMessage

public String errorMessage
Error message.

### canRetry

public boolean canRetry
True, if the message can be re-sent.

### retryAfter

public double retryAfter
Time left before the message can be re-sent, in seconds. No update is sent when this field changes.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessageSendingStateFailed

public MessageSendingStateFailed()
The message failed to be sent.

### MessageSendingStateFailed

public MessageSendingStateFailed​(int errorCode, String errorMessage, boolean canRetry, double retryAfter)
The message failed to be sent.

Parameters:
  `errorCode` - int An error code; 0 if unknown.
  `errorMessage` - String Error message.
  `canRetry` - boolean True, if the message can be re-sent.
  `retryAfter` - double Time left before the message can be re-sent, in seconds. No update is sent when this field changes.

### MessageSendingStateFailed

public MessageSendingStateFailed​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`